Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.deployment
Class ServiceGroupBuilder

    java.lang.Object
      org.apache.axis2.deployment.DescriptionBuilder
          org.apache.axis2.deployment.ServiceGroupBuilder

All Implemented Interfaces:
  DeploymentConstants

    public class ServiceGroupBuilder

extends DescriptionBuilder

Field Summary

Fields inherited from class org.apache.axis2.deployment.DescriptionBuilder
`axisConfig, configCtx, descriptionStream`

Fields inherited from interface org.apache.axis2.deployment.DeploymentConstants
`ATTACHMENTS_LIFECYCLE_MANAGER, ATTRIBUTE_ACTIVATE, ATTRIBUTE_CLASS, ATTRIBUTE_DEFAULT_VERSION, ATTRIBUTE_LOCKED, ATTRIBUTE_NAME, ATTRIBUTE_NAMESPACE, ATTRIBUTE_PACKAGE, ATTRIBUTE_SCOPE, ATTRIBUTE_WSADDRESSING, AXIS2_CONFIGURATION_RESOURCE, AXIS2_CONFIGURATION_XML, AXIS2_REPO, BOOLEAN_FALSE, BOOLEAN_TRUE, DEPLOYER, DIRECTORY, DIRECTORY_AXIS2_HOME, DIRECTORY_CONF, EXTENSION, MAPPING, META_INF, MODULE_DRI_PATH, MODULE_PATH, MODULE_XML, POLICY_NS_URI, PROPERTY_TEMP_DIR, RESOURCE_MODULES, SCHEMA, SCHEMA_ELEMENT_QUALIFIED, SCHEMA_NAME_SPACE, SEPARATOR_COLON, SEPARATOR_DOT, SERVICE_DIR_PATH, SERVICE_PATH, SERVICES_XML, SUFFIX_JAR, SUFFIX_MAR, SUFFIX_WSDL, TAG_AFTER, TAG_ALLOWOVERRIDE, TAG_ANTI_JAR_LOCKING, TAG_APPLIES_TO, TAG_AXISCONFIG, TAG_BEFORE, TAG_CLASS_NAME, TAG_CLUSTER, TAG_CONTENT_TYPE, TAG_CONTEXT, TAG_DEFAULT_MODULE_VERSION, TAG_DEFAULTS, TAG_DESCRIPTION, TAG_DISPATCH_ORDER, TAG_DISPATCHER, TAG_EXCLUDE, TAG_EXCLUDE_OPERATIONS, TAG_EXCLUDE_PROPERTIES, TAG_EXPOSE, TAG_EXTRACT_SERVICE_ARCHIVE, TAG_FLOW_IN, TAG_FLOW_IN_FAULT, TAG_FLOW_OUT, TAG_FLOW_OUT_FAULT, TAG_HANDLER, TAG_HOT_DEPLOYMENT, TAG_HOT_UPDATE, TAG_INCLUDE_PROPERTIES, TAG_LABEL, TAG_LIST_ID, TAG_LISTENER, TAG_MAPPING, TAG_MEP, TAG_MESSAGE, TAG_MESSAGE_BUILDER, TAG_MESSAGE_BUILDERS, TAG_MESSAGE_FORMATTER, TAG_MESSAGE_FORMATTERS, TAG_MESSAGE_RECEIVER, TAG_MESSAGE_RECEIVERS, TAG_MODULE, TAG_MODULE_CONFIG, TAG_NAMESPACES, TAG_NODE_MANAGER, TAG_OBJECT_SUPPLIER, TAG_OPERATION, TAG_ORDER, TAG_PACKAGE_NAME, TAG_PACKAGE2QNAME, TAG_PARAMETER, TAG_PHASE, TAG_PHASE_FIRST, TAG_PHASE_LAST, TAG_PHASE_ORDER, TAG_POLICY, TAG_POLICY_ATTACHMENT, TAG_POLICY_REF, TAG_QNAME, TAG_REFERENCE, TAG_REPLICATION, TAG_SERVICE, TAG_SERVICE_GROUP, TAG_STATE_MANAGER, TAG_SUPPORTED_POLICY_NAMESPACES, TAG_TARGET_RESOLVER, TAG_TARGET_RESOLVERS, TAG_THREAD_CONTEXT_MIGRATOR, TAG_THREAD_CONTEXT_MIGRATORS, TAG_TIMEOUT, TAG_TRANSACTION, TAG_TRANSACTION_CONFIGURATION_CLASS, TAG_TRANSPORT, TAG_TRANSPORT_RECEIVER, TAG_TRANSPORT_SENDER, TAG_TRANSPORTS, TAG_TYPE, TARGET_NAME_SPACE`

Constructor Summary
`ServiceGroupBuilder(org.apache.axiom.om.OMElement service, HashMap<String,AxisService> wsdlServices, ConfigurationContext configCtx)`

Method Summary
`ArrayList<AxisService>` | `populateServiceGroup(AxisServiceGroup axisServiceGroup)`
`protected void` | `processModuleRefs(Iterator moduleRefs, AxisServiceGroup axisServiceGroup)` Gets the list of modules that is required to be engaged globally.
`protected void` | `processServiceModuleConfig(Iterator moduleConfigs, ParameterInclude parent, AxisServiceGroup axisService)`

Methods inherited from class org.apache.axis2.deployment.DescriptionBuilder
`buildOM, findAndValidateSelectorClass, getLocalPolicyAssertionNames, getShortFileName, getValue, loadDefaultMessageReceiver, loadMessageReceiver, processActionMappings, processFlow, processHandler, processHandler, processMessageBuilders, processMessageFormatters, processMessageReceivers, processMessageReceivers, processOperationModuleRefs, processParameters, processPolicyElements, processPolicyRefElements, processSupportedPolicyNamespaces`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceGroupBuilder

    public ServiceGroupBuilder(org.apache.axiom.om.OMElement service,
                               HashMap<String,AxisService> wsdlServices,
                               ConfigurationContext configCtx)

Method Detail

### populateServiceGroup

    public ArrayList<AxisService> populateServiceGroup(AxisServiceGroup axisServiceGroup)
                                                throws DeploymentException

  Throws:
    `DeploymentException`

### processModuleRefs

    protected void processModuleRefs(Iterator moduleRefs,
                                     AxisServiceGroup axisServiceGroup)
                              throws DeploymentException

  Gets the list of modules that is required to be engaged globally.

  Parameters:
    `moduleRefs` - `java.util.Iterator`
  Throws:
    `DeploymentException` - `DeploymentException`

### processServiceModuleConfig

    protected void processServiceModuleConfig(Iterator moduleConfigs,
                                              ParameterInclude parent,
                                              AxisServiceGroup axisService)
                                       throws DeploymentException

  Throws:
    `DeploymentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.